Open SCAP Library: cvrf_session Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_session Struct Reference

## Public Member Functions
struct cvrf_session * | cvrf_session_new_from_source_model (struct oscap_source *source)
struct cvrf_session * | cvrf_session_new_from_source_index (struct oscap_source *source)
void | cvrf_session_free (struct cvrf_session *session)
| Deallocates memory for a CVRF Session structure. More...
struct cvrf_model * | cvrf_session_get_model (struct cvrf_session *session)
struct cvrf_index * | cvrf_session_get_index (const struct cvrf_session *session)
struct oscap_string_iterator * | cvrf_session_get_product_ids (struct cvrf_session *session)
| After filtering the CVRF model structure by the CPE, all the ProductIDs related to that operating system should be held in this stringlist. More...
const char * | cvrf_session_get_os_name (const struct cvrf_session *session)
void | cvrf_session_set_model (struct cvrf_session *session, struct cvrf_model *model)
| Add the CVRF model to be evaluated to the Session structure. More...
bool | cvrf_session_set_index (struct cvrf_session *session, struct cvrf_index *index)
| Add the CVRF index to be evaluated to the Session structure. More...
bool | cvrf_session_set_os_name (struct cvrf_session *session, const char *os_name)
| Add the CPE name for filtering of relevant ProductIDs and CVRF elements. More...
struct oscap_source * | cvrf_model_get_results_source (struct oscap_source *import_source, const char *os_name)
| Import and parse the CVRF Model from the provided source, filter it by CPE to find appropriate packages, check these for vulnerabilities, and generate an XML document of the results. More...
struct oscap_source * | cvrf_index_get_results_source (struct oscap_source *import_source, const char *os_name)
| Import and parse the CVRF Index from the provided source, filter it by CPE to find appropriate packages, check these for vulnerabilities, and generate an XML document of the results. More...

## Data Fields
struct cvrf_index * | index
struct cvrf_model * | model
char * | os_name
struct oscap_source * | source
struct oscap_stringlist * | product_ids
struct oval_definition_model * | def_model

The documentation for this struct was generated from the following files:

- cvrf_eval.c
- cvrf.h